<template>
  <div class="elem-paper-struct" :style="elemStyles">
    <ul>
      <li v-for="(item, index) in data.structs" :key="index">
        <span>{{ index + 1 }}、</span> {{ item.detailName }}，{{
          item.questionCount
        }}题，共{{ item.totalScore }}分
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  name: "ElemPaperStruct",
  props: {
    data: {
      type: Object,
      default() {
        return {
          structs: [],
        };
      },
    },
  },
  data() {
    return {};
  },
  computed: {
    elemStyles() {
      return {
        paddingLeft: this.data.paddingLeft + "px",
        textAlign: this.data.textAlign || null,
      };
    },
  },
  methods: {},
};
</script>
1
